package com.bcxin.ins.service.order;

import com.bcxin.ins.entity.policy_special.StPastBadDetail;
import com.bcxin.ins.vo.PastBadDetailVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsPastBadDetailAPIService extends IService<StPastBadDetail> {
	
	public List<StPastBadDetail> selectInsPastBadDetailByInsBadDebt(Long oid);
	
	public void setPastBadDetailByPastBadDetailVo(List<PastBadDetailVo> voList, Long bad_debt_id);
	
	public void accordingToThePastBadDetailVoSetUpInsPastBadDetail(PastBadDetailVo vo, Long bad_debt_id);
	
	public List<PastBadDetailVo> getPastBadDetailVoListByInsPastBadDetailList(List<StPastBadDetail> ipbdList);
	
	public PastBadDetailVo accordingToInsPastBadDetailIntoPastBadDetailVo(StPastBadDetail iad);
}
